%define release_version %(echo %{version} | awk -F. '{print $1"."$2}')

Summary:        Content discovery framework
Name:           grilo
Version:        0.3.15
Release:        5%{?dist}
License:        LGPLv2+
URL:            https://wiki.gnome.org/Projects/Grilo
Source0:        https://download.gnome.org/sources/grilo/%{release_version}/grilo-%{version}.tar.xz

BuildRequires:  meson
BuildRequires:  git chrpath glib2-devel
BuildRequires:  gettext libxml2-devel vala >= 0.27.1
BuildRequires:  libsoup-devel gobject-introspection-devel >= 0.9.0
BuildRequires:  gtk3-devel liboauth-devel totem-pl-parser-devel

%description
Grilo uses a pluggable system to provide access to different sources of multimedia content.
This package provides the core library and elements.

%package devel
Summary:        Libraries/include files for Grilo framework
Requires:       %{name} = %{version}-%{release}

%description devel
This package provides the core library and elements, as well as general and API documentation.

%prep
%autosetup -p1 -S git

%build
%meson -Denable-gtk-doc=false -Dsoup3=false

%meson_build

%install
%meson_install

mkdir -p %{buildroot}%{_libdir}/grilo-%{release_version}/
mkdir -p %{buildroot}%{_datadir}/grilo-%{release_version}/plugins/

%find_lang grilo

%files -f grilo.lang
%license COPYING
%doc AUTHORS NEWS README.md TODO
%{_bindir}/grl-inspect-%{release_version}
%{_bindir}/grl-launch-%{release_version}
%{_bindir}/grilo-test-ui-%{release_version}
%{_libdir}/libgrilo-%{release_version}.so.0*
%{_libdir}/libgrlnet-%{release_version}.so.0*
%{_libdir}/libgrlpls-%{release_version}.so.0*
%{_libdir}/girepository-1.0/
%{_libdir}/grilo-%{release_version}/
%{_datadir}/grilo-%{release_version}/
%{_mandir}/man1/grilo-test-ui-%{release_version}.1*
%{_mandir}/man1/grl-inspect-%{release_version}.1*
%{_mandir}/man1/grl-launch-%{release_version}.1*

%files devel
%{_includedir}/%{name}-%{release_version}/
%{_libdir}/*.so
%{_libdir}/pkgconfig/*.pc
%{_datadir}/gir-1.0/
%{_datadir}/vala/

%changelog
* Fri Aug 16 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.3.15-5
- Rebuilt for loongarch release

* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.3.15-4
- Rebuilt for OpenCloudOS Stream 23.09

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.3.15-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.3.15-2
- Rebuilt for OpenCloudOS Stream 23

* Thu Dec 1 2022 Wang Guodong <gordonwwang@tencent.com> - 0.3.15-1
- package init.
